Subject: Re: [PATCH] Set the correct RTNL family for multicast netconf messages

From: Nicolas Dichtel <[email-masked]>
Date: Fri, 28 Jun 2013 12:13:55 +0200

Le 28/06/2013 03:51, Hannes Frederic Sowa a écrit :
> On Thu, Jun 27, 2013 at 06:33:42PM -0700, Stephen Hemminger wrote:
>> On Fri, 28 Jun 2013 03:23:07 +0200
>> Hannes Frederic Sowa <[email-masked]> wrote:
>>> Hm, are you sure? NETCONFA_MC_FORWARDING is of type RTM_NEWNETCONF
>>> and expects ncm_family to be either AF_INET or AF_INET6 (at least in
>>> iproute2/ipmonitor.c).
>>>
>>
>> I agree with Sven on this, looks like the recent addition of netconf
>> configuration to netlink didn't embrace how multicast is handled in kernel.
>>
>> Multicast forwarding is a routing related configuration value.
>> All the multicast routing events come in as special family RTNL_FAMILY_IPMR
>> (see net/ipv4/ipmr.c function ipmr_fill_route). I would expect that multicast
>> routing daemons would like to be able to use special family to listen for
>> all multicast related changes (and not see non-multicast events).
>>
>>
>> Minor nit: the patch is formatted incorrectly (case should line up with switch).
>
> Yes, this seems reasonable but would need a small update to ipnetconf.c, too.
I also agree with Sven and Stephen.

Note also that the Signed-off-by line is missing in the commit log.

Sven, can you take care of the iproute2 patch? If not, let me know so I can do it.

Thank you,
Nicolas